Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# openvrml::node_impl_util::event_listener_base< Node > Class Template Reference

`#include <openvrml/node_impl_util.h>`

Inheritance diagram for openvrml::node_impl_util::event_listener_base< Node >:

[legend]

List of all members.

## Detailed Description

### template<typename Node>
class openvrml::node_impl_util::event_listener_base< Node >

Abstract base for `event_listener` implementations.

`event_listener_base` implements `event_listener::do_eventin_id`.

## Public Member Functions

virtual | ~event_listener_base ()=0 throw ()
| Destroy.

## Protected Member Functions

| event_listener_base (openvrml::node &n) throw ()
| Construct.

## Private Types

typedef node_type_impl< Node > | node_type_t
| The concrete `node_type`.
typedef node_type_t::event_listener_map_t | event_listener_map_t
| The map of `event_listeners`.

## Private Member Functions

virtual const std::string | do_eventin_id () const throw ()
| The associated `eventIn` identifier.

## Classes

struct | event_listener_equal_to
| A model of Adaptable Predicate. More...

## Member Typedef Documentation

template<typename Node>

openvrml::node_impl_util::node_type_impl< Node > openvrml::node_impl_util::event_listener_base< Node >::node_type_t `[private]`

The concrete `node_type`.

template<typename Node>

openvrml::node_impl_util::event_listener_base< Node >::node_type_t::event_listener_map_t openvrml::node_impl_util::event_listener_base< Node >::event_listener_map_t `[private]`

The map of `event_listeners`.

## Constructor & Destructor Documentation

template<typename Node>

openvrml::node_impl_util::event_listener_base< Node >::~event_listener_base | ( |  | ) | throw ()`[inline, pure virtual]`

Destroy.

template<typename Node>

openvrml::node_impl_util::event_listener_base< Node >::event_listener_base | ( | openvrml::node & | n | ) | throw ()`[inline, explicit, protected]`

Construct.

Parameters:

  `[in]` | n | the `node` associated with the `event_listener`.

## Member Function Documentation

template<typename Node>

const std::string openvrml::node_impl_util::event_listener_base< Node >::do_eventin_id | ( |  | ) | const throw ()`[inline, private, virtual]`

The associated `eventIn` identifier.

Returns:
  the associated `eventIn` identifier.

Implements openvrml::node_event_listener.